# this file contains class definitions for the following classes
#
#   - geneList
#   - patientList
#
#
#
# created by Martin Held, March 2004
#

.First.lib <- function(libname,pkgname) {

#  library(methods)
#  if (is.null(getOption("compdiagPipelineCGImode"))) {
#    require(Biobase, quietly=TRUE)
#    require(annaffy, quietly=TRUE)
#    require(tools, quietly=TRUE)
#    require(affy, quietly=TRUE)
#    require(vsn, quietly=TRUE)
#    require(affyPLM, quietly=TRUE)
#    require(hexbin, quietly=TRUE)
#    require(GLAD, quietly=TRUE)
#    require(GOstats, quietly=TRUE)
#    require(xtable, quietly=TRUE)
#    require(marray, quietly=TRUE)
#    require(impute, quietly=TRUE)
#  }

  ##################################################################################
  #
  #   geneList-Class
  #
  ##################################################################################

  setClass("geneList",
    representation(description = "character",   # description
                   creator     = "character",   # creating module
                   prjname     = "character",   # name of project
                   parameter   = "character",   # given parameters
                   groups      = "character",   # group names and definitions
                   link        = "character",   # to HTML page with corresponding analysis
                   chip	       = "character",   # chip identifier
                   geneInfos   = "data.frame")) # additional information (t-,q-values) per gene

  setMethod("initialize", "geneList",
    function(.Object, creator="no module given", prjname="no name", 
             description="no description", parameter="no parameter", 
             groups="no groups", link="no link provided", chip="hgu133a", 
             geneInfos=data.frame(0), gwo=NULL) {

      if (is.null(gwo)) {
        .Object@creator     <- creator
        .Object@prjname     <- prjname
        .Object@description <- description
        .Object@groups      <- groups
        .Object@link	    <- link
        .Object@chip 	    <- ifelse(is.null(chip), "", chip)
      } else { # extract data from generalWrapper object
        .Object@creator     <- gwo$modulname
        .Object@prjname     <- gwo$prjName
        .Object@description <- gwo$description
        .Object@groups      <- as.character(gwo$groupDF[,2])
        .Object@link	    <- gwo$link
        .Object@chip 	    <- ifelse(is.null(gwo$chip), "", gwo$chip)
      }
      .Object@parameter   <- parameter
      .Object@geneInfos   <- geneInfos
      return(.Object)
    }
  )


  ##################################################################################
  #
  #   patientList-Class
  #
  ##################################################################################

  setClass("patientList",
    representation(description     = "character",   # description
                   creator          = "character",   # creating module
                   parameter      = "character",   # given parameters
                   link                = "character",   # to HTML page with corresponding analysis
                   patientInfos = "data.frame")) # additional patient info, e.g. first column holds real label, second column predicted label by this classifier, third column confidence level in this prediction, one row for each patient

  setMethod("initialize", "patientList",
    function(.Object, creator="no module given", description="no description", 
             parameter="no parameter", link="no link provided") {

      .Object@creator     <- creator
      .Object@description <- description
      .Object@parameter   <- parameter
      .Object@link <- link

      return(.Object)
    }
  )
}
