cpdTable <- function(df, headline="", bgc1="#CCCCCC", bgc2="#E8E8E8", hc="#99CCCC", 
                     tbh="", spc="0", align=NULL, valign=NULL, anchors=NULL, 
                     stripes="vertical") {

  if (is.null(align)) align <- rep("LEFT", ncol(df))
  if (is.null(valign)) valign="middle"
  if (!is.null(anchors)) {
    if (length(anchors) != nrow(df)) stop("incorrect number of anchors")
  }

  s <- "";

  if (headline!="") s <- paste(s, "\n<h3>", headline, "</h3>\n", collapse="")

  # table headers
  s <- paste(s, "<table border=0 cellpadding=", spc, ">", collapse="")
  if (tbh[1]!="") {
    if (length(tbh)!=ncol(df)) {
      stop("cdpTable: Number of table headers must match number of data frame columns")
    }
    th <- paste("<td bgcolor=\"",hc,"\" align=\"",align,"\"><b>",tbh,"</b></td>\n",sep="")
    s <- paste(c(s, "<tr valign='", valign, "'>\n", th, "</tr>\n"), collapse="")
  }

  # table body
  bgc <- c(bgc1, bgc2)
  for (i in 1:ncol(df)) {
    df[,i] <- as.character(df[,i])
  }
  for (i in 1:nrow(df)) {
    if (stripes == "vertical")
      tds <- paste("<td bgcolor=\"",bgc,"\" align=\"",align,"\">",df[i,],"</td>\n",sep="")
    else 
      tds <- paste("<td bgcolor=\"", bgc[i%%2 + 1], "\" align=\"", align, "\">",
                   df[i,], "</td>\n", sep="")
#    if (!is.null(anchors)) 
#      tds <- paste("<a name='", anchors[i], "'>", tds, "</a>", sep="")
    s <- paste(c(s, "<tr valign='", valign, "'>\n", tds, "</tr>\n"), collapse="")
  }
  s <- paste(s, "</table>\n", collapse="")
  return(s);
}

