#legend(1,1,c("NMM","SMM","ALM","META","BM"),col=rainbow(6),pch=15,horiz=TRUE,bty="n")
#load("/project/gene_expression/analyses/Melanoma/expression_set.rdat")
#pd=pData(expr.set)

factorplot <- function(pd,pointsize=7,colPalette=list()) {
  numpd<-pd;
  curlevel<-0
  naValues<-FALSE;
    for(i in 1:ncol(pd)) {
 # convert text NAs to real NAs
      nas<-grep("^na$",pd[,i],ignore.case=TRUE);
      if (length(nas)>0) {pd[grep("^na$",pd[,i],ignore.case=TRUE),i]=NA; naValues<-T;}
      pd[,i]<-as.factor(pd[,i]);
      numpd[,i]<-as.numeric(pd[,i])+curlevel;
 # treat all NAs as color with code 0
      if (length(nas)>0) numpd[,i][is.na(numpd[,i])]<-0; 
      curlevel<-max(numpd[,i],na.rm=TRUE);
      if (length(colPalette)<ncol(pd)) {
	colPalette[[i]]<-rainbow(nlevels(pd[,i]));
      }
   }
    allColors<-unlist(colPalette);
 # add white color for NA values, if existent
    if (naValues) allColors<-c("#FFFFFF",allColors);
  numpd<-as.matrix(numpd)
par(mai=c(0,0,0,0))
    plot(0,type="n",axes=FALSE,xlab="",ylab="")
    maxXLab<-max(strwidth(rownames(numpd),units="inch"),cex<-pointsize/par("ps"))
    maxYLab<-max(strwidth(colnames(numpd),units="inch"),cex<-pointsize/par("ps"))
#    dev.off()
    nf <-layout(matrix(c(1,2),1,2,byrow=TRUE),c(3,1))
#    nf <-layout(matrix(c(1,2,3,4),2,2,byrow=TRUE),c(3,1,3,1))
#    layout.show(nf)
    par(mai=c(0,maxYLab,maxXLab,0)) #no inner margin (in inches) 
    par(omi=c(0,0,0,0)) #no outer margin
#par(mar=c(0,5,8,0)) #margin bottom,left,top,right (in lines)
    image(numpd,col=allColors,xaxt='n',yaxt='n')
# par(mai=c(0,maxYLab,0,0))
# image(matrix(runif(100),nrow=10),xaxt="n",yaxt="n")
#par("mex")
    margLabStart<-par("mai")[2]/par("mar")[2]*par("mgp")[2]
    maxXLab<-maxXLab+margLabStart+0.1
    maxYLab<-maxYLab+margLabStart+0.1
    box()
# xx point font
    par("ps"=pointsize)
    tickmarks<-seq(par("usr")[1],par("usr")[2],length=nrow(numpd)+1)[1:nrow(numpd)]
    axis(3,at=tickmarks+(tickmarks[2]-tickmarks[1])/2,rownames(numpd),las=2);
# for n spaces we need n+1 borders
  tickmarks<-seq(par("usr")[3],par("usr")[4],length=ncol(numpd)+1)
    halftick<-(tickmarks[2]-tickmarks[1])/2
# now shift all borders by half a space and drop the last
    tickmarks<-tickmarks[1:ncol(numpd)]+halftick
    axis(2,at=tickmarks,colnames(numpd),las=1,tick=FALSE);
  par(mai=c(0,0,0,0))
    par(omi=c(0,0,0,0))
#  plot.new()
#    par("ps"=round(pointsize*0.8))
# for n spaces we need n+1 borders
#  tickmarks=seq(par("usr")[3],par("usr")[4],length=ncol(pd)+1)
#  halftick=(tickmarks[2]-tickmarks[1])/2
# now shift all borders by half a space and drop the last
#  tickmarks=tickmarks[1:ncol(pd)]+halftick
    for(fact in 1:ncol(pd)) {
      levelLabs<-levels(pd[,fact])
#	legend(-0.15,tickmarks[fact],levelLabs,col=rainbow(nlevels(pd[,fact])),pch=15,horiz=TRUE,bty="n")
legend(0, tickmarks[fact], levelLabs, col=colPalette[[fact]], pch = 15,ncol = 3, cex = 0.8, bty="n", xjust=0,yjust=0.5,x.intersp=0.5,y.intersp=0.8)
    }
}

