# Find Pubmed entries through 
# pmid2bibtex

vecPaste <- function(a) {
   s <- NULL
   for (i in 1:length(a)) s <- paste(s,a[i],sep='')
   return(s)
}

getPubmedEntry <- function(pmid) {
  queryURL <- paste("http://www.ncbi.nlm.nih.gov/entrez/query.fcgi?cmd=text&db=pubmed",
                    "&uid=", pmid, "&dopt=MEDLINE", sep="") 
  lines <- suppressWarnings(readLines(url(queryURL))) # suppress last line warning

  res <- list()
  key <- ""
  value <- ""
  for (i in 1:length(lines)) {
    lines[i] <- sub("</?pre>", "", lines[i])
    if (lines[i] != "") {
      if (substr(lines[i], 1, 1) == " ") {
        value <- paste(value, sub(" *", "", lines[i]), "\n", sep="")
      } else {
        if (key != "") res[[key]] <- c(res[[key]], value)
        tmp <- unlist(strsplit(lines[i], " *- "))
        key <- tmp[1]
        value <- vecPaste(tmp[-1])
      }
    }
  }
  if (key != "") res[[key]] <- value
  return(res)
}

