\name{addonPreprocessing}
\alias{addonPreprocessing}
\title{Incremental Preprocessing}
\description{
  Compute expression levels for a single new chip similar to
  \code{runPreprocessing} using the scale
  information stored by that function.
}
\usage{
addonPreprocessing(BASEPATH, COVDESC = file.path(BASEPATH, "celfiles_addon.lst"), 
                   EXPRSET = file.path(BASEPATH, "expression_set.rdat"), 
                   plot.preprocessing = TRUE)
}
\arguments{
  \item{BASEPATH}{Project path}
  \item{COVDESC}{Path to text-file containing complete paths to addon Affymetrix 
    .CEL-files, names of samples and optional covariates }
  \item{EXPRSET}{where to write the expression set containing the
    preprocessed data and corresponding documentation.}
  \item{plot.preprocessing}{Logical value if quality-plots should be prepared}
}
\details{
  This function performs addon preprocessing according to the
  \code{runPreprocessing} method. It uses the scle information stored by
  that function in order to normalize the celfiles found in the
  \code{COVDESC} file accordingly. The expression levels are added to
  the expression set and rank-residual plots as well as the
  residual-location plots are generated for the samples provided. The
  method relies on the docval package for this task and uses vsn as well
  as median polish for the computing of expression levels.
}
\value{
  Logical value if preprocessing finished correctely  
}
\author{Claudio Lottaz}
\seealso{\code{\link{runPreprocessing}}}
\keyword{datagen}

