\name{cpdTable}
\alias{cpdTable}
\title{ cpdTable - creates a HTML table from a data frame }
\description{

   This function returns a character string, which represents a HTML table.
   The table is build from a given data.frame. 

}
\usage{
cpdTable(df, headline="", bgc1="#CCCCCC",bgc2="#E8E8E8",hc="#99CCCC",tbh="", 
         spc="0", align=NULL, valign=NULL, anchors=NULL, stripes"vertical")
}
\arguments{
  \item{df}{ data.frame object that should be transfered into a HTML table }
  \item{headline}{ Optional character string. If given, the function writes a
  headline (h3) above the table  }
  \item{hc}{ Character string denoting background color for table head}
  \item{bgc1}{ Character string denoting 1st background color for a table row }
  \item{bgc2}{ Character string denoting 2nd background color for a table row }
  \item{tbh}{ Vector of character strings denoting the column titles }
  \item{spc}{ spacing petween cells in points (cellpadding)}
  \item{align}{ vector of strings (LEFT, CENTER, RIGHT), one per colum. If \code{align} 
    is left to the default (NULL) all columns are aligned left.}
  \item{valign}{is either 'top', 'middle', or 'bottom' and indicates how cells in the 
    same row are aligned.}
  \item{anchors}{adds one anchor per row, which can be used through HTML links.}
  \item{stripes}{specifies whether the two background colors form 'vertical' or 
    'horizontal' stripes. }
}
\value{

  \item{return }{A character string representing a HTML table.}

}

\author{ M. Held }

\keyword{ methods }% at least one, from doc/KEYWORDS

