\name{factorplot}
\alias{factorplot}
\title{ Visualize factor like data }
\description{
This function takes a matrix or dataframe and regards the
content as factor entries. It then visualizes this matrix
so that each factor level gets a unique color and a legend is
plotted to the right hand side.
}
\usage{
factorplot(pd,pointsize=7,colPalette=list())
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{pd}{  Matrix or dataframe with entires. Each row will be treated like a separate factor.  }
  \item{pointsize}{ Pointsize for labels. Legend labels are 0.8 * pointsize }
  \item{colPalette}{  list of colors for each factor. Each level needs one color assigned to it. If there are any NAs in the matrix, add the color for NA as the first element of the list }

}
\details{
  For factors with many levels the legend might get too big.
}
\value{
 No value returned.
}
%\references{ ~put references to the literature/web site here ~ }
\author{ Jochen Jger }
%\note{ ~~further notes~~ }
% ~Make other sections like Warning with \section{Warning }{....} ~

%\seealso{ ~~objects to See Also as \code{\link{~~fun~~}}, ~~~ }
\examples{
# show some data from a gene expression study
library(golubEsets)
library(Biobase)
factorplot(pData(golubTrain)[,c(2,4,5,7,8,9,11)])

data(CO2)
factorplot(CO2[,c(1:4)])

data(iris)
factorplot(iris[,5,drop=FALSE],pointsize=9,colPalette=list(c("#FF00FF","#FFFF00","#0F8080")))
factorplot(iris[,5,drop=FALSE],pointsize=9,colPalette=list(c("black","red","gold")))
}

\keyword{ hplot }% at least one, from doc/KEYWORDS
%\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
