\name{geneLister}
\alias{geneLister}
\title{ geneLister - tool for pretty gene listing }
\description{

   This function annotates a given set of probe ids. It generates either a
   string representing a HTML table or plain text. In the plain text version
   the probes are sperated by \\n and each annotation is seperated by the given
   'sep' character.\\
   Note: To use CORG annotations, the 'CorgAnn' package must be available.
   If a twilight object is given, the resulting list is ordered by qvalue and observed           test statistic.

}
\usage{
geneLister(obj, chip=NULL, hc="#99CCCC",
           bgc1="#CCCCCC", bgc2="#E8E8E8", HTML = TRUE,
           info = NULL, annotCORG = FALSE, annotLOCUS = TRUE,
           annotGO = TRUE, annotSYMBOL = TRUE,
           annotGDESCRIPTION = TRUE, annotPROBE = TRUE,
           annotUNIGENE   = TRUE, annotGENBANK = TRUE,
           annotLOCUSLINK = TRUE,annotPUBMED = TRUE,
           annotKEGG = TRUE, annotOMIM = TRUE,
           annotGENECARDS = TRUE,sep = "\t",
           verbose = FALSE, maxfdr=1, maxgenes=500,
           lookupProbes=NULL, groupname = "n/a", links = FALSE)
}
\arguments{
  \item{obj}{ Either a geneList object, a twilight object or a vector of probe ids }
  \item{chip}{ Character string specifying used chip. Only necessary, if obj is
  not an geneList object. }
 \item{info}{ Vector of character strings. Specifying the names of data.frame
 columns that should be included into the annotation. Works only for geneLists
 objects, which have a named data.frame in 'geneInfos' slot.}
   \item{HTML}{ Logical value switching between HTML and TEXT mode}
  \item{hc}{ Character string denoting background color for table head}
  \item{bgc1}{ Character string denoting 1st background color for a table row }
  \item{bgc2}{ Character string denoting 2nd background color for a table row }
  \item{sep}{ Character string to seperate items (used only in non HTML mode) }
  \item{verbose}{ Logical value for message printing }
  \item{annotCORG}{ Logical value denoting inclusion of CORG annotations }
  \item{annotLOCUS}{Logical value denoting inclusion of chromosomal location }
  \item{annotGO}{ Logical value denoting inclusion of GO annotations }
  \item{annotSYMBOL}{ Logical value denoting inclusion of gene symbol
  annotations }
  \item{annotGDESCRIPTION}{Logical value denoting inclusion of gene description }
  \item{annotPROBE}{Logical value denoting inclusion of PROBE ID annotations }
  \item{annotUNIGENE}{ Logical value denoting inclusion of UNIGENE annotations }
  \item{annotGENBANK}{ Logical value denoting inclusion of GENBANK annotations }
  \item{annotLOCUSLINK}{ Logical value denoting inclusion of LOCUSLINK
  annotations }
  \item{annotPUBMED}{ Logical value denoting inclusion of PUBMED annotations }
  \item{annotKEGG}{ Logical value denoting inclusion of KEGG annotations }
  \item{annotOMIM}{ Logical value denoting inclusion of OMIM annotations }
  \item{annotGENECARDS}{ Logical value denoting inclusion of GENECARDS
  annotations }
  \item{maxfdr}{ Only probes with qvalue <maxfdr are listed. (!only considered if twilight object is given!) }
  \item{maxgenes}{ Maximal number of genes in list. (!only considered if twilight object is given!) }
  \item{lookupProbes}{probe identifiers used for looking up annotations, may 
   differ from probe identifiers shown in the table.}
  \item{groupname}{ Specifies the name of the group, where the shown gene came from.}
  \item{links}{Flags if the symbol annotation should include a link on the affy-id in the genelist. This feature was added support the navigation from the GO graph of the gokeggLister to the Symbol Ids of the geneLister.}


}
\value{

  \item{return }{A character string representing either a HTML table or plain
  text seperated by '\t'. }


}

\author{ M. Held }
\examples{
library(hgu95av2)
ids <- ls(hgu95av2GO)[1:20]
geneLister(ids, chip="hgu95av2")
}
\keyword{ methods }% at least one, from doc/KEYWORDS

