\name{getGOTable}
\alias{getGOTable}
\title{ getGOTable function }
\description{
  This function generates a HTML table that consists of gene ontology
  information. The table has 3 rows, each for one sub-ontology. Namely
  Molecular Function, Biological Process and Cellular Component.
}
\usage{
getGOTable(x, y)
}
\arguments{
  \item{x}{Is either an Affymetrix Probe identfier (class character), or 
    a aafTable object. }
  \item{y}{ If \code{x} is a probe-set ID, this is the name of the Chip the
    probe-set comes from. If \code{x} is an annotation table, \code{y} 
    contains the row of the table to be used.}
}
\value{
A html table representing character string.
}

\author{ M. Held }
\examples{
library(hgu95av2)
id <- ls(hgu95av2GO)[1]
getGOTable(id, "hgu95av2")
}
\keyword{ methods }% at least one, from doc/KEYWORDS

