\name{image.consensusCluster}
\alias{image.consensusCluster}
\title{ Illustrate Consensus Clustering }
\description{
  This method depicts a consensus matrix computed by the \code{consensusCluster} method.
}
\usage{
image.consensusCluster(x, main = NULL, sampleNames = FALSE, 
          outfile = NULL, pointsize = 8, res = 72, ...)
}
\arguments{
  \item{x}{The object containing the consensus clustering result to be illustrated.}
  \item{main}{The title for the image.} 
  \item{sampleNames}{logical, whether the names of the samples are to
     be shown to the right of the consensus matrix.}
  \item{outfile}{The name of the ".png".file to be generated. The
    default is to use X11 and no file creation.}
  \item{pointsize}{pointsize for the image.}
  \item{res}{resolution for the bitmap if generated}
  \item{\dots}{Further parameters passed to \code{image}.}
}
\details{
  Shows the consensus matrix generated by consensus clustering. The
  scores shown reflect how consistently samples are clustered and how
  robust clusters are against resampling.
}
\author{Claudio Lottaz}
\seealso{\code{\link{consensusCluster}}}
\keyword{hplot}

