\name{optimTree.dendrogram}
\alias{optimTree.dendrogram}
\title{Change an hclust to a dendrogram object while keeping the given ordering}
\description{Function \code{as.dendrogram} reorders the \code{hclust} object, \code{optimTree.dendrogram} does not. The function uses \code{reorder} and computes suitable weights.}
\usage{
optimTree.dendrogram(hclust.obj)
}
\arguments{
  \item{hclust.obj}{An \code{hclust} object.}
}
\value{Returns a \code{dendrogram} object.}
\author{Stefanie Scheid <stefanie.scheid@molgen.mpg.de>}
\seealso{\code{\link{optimTree.plot}},\code{\link{optimTree}}}
\examples{
a <- rbind(rep(0,4),
           c(1,rep(0,3)),
           c(5,2,0,0),
           c(3,9,7,0))

a <- as.dist(a)

hc.old <- hclust(a,method="average")
hc.new <- optimTree(hc.old,a)

plot(hc.new)
plot(as.dendrogram(hc.new))
plot(optimTree.dendrogram(hc.new))
}
\keyword{graphs}
