\name{plotIsis}
\alias{plotIsis}
\title{Plot Clustered ISIS Results}
\description{
  Plot a set of splits returned by ISIS clustered such that similar
  splits and samples which occur in similar splits are placed closely.
}
\usage{
plotIsis(ires, data, score.weight = 3, horizontal = TRUE, main = NULL)
}
\arguments{
  \item{ires}{Result returned by isis, a binary matrix with one row
    per split and one column per data point. The value at position i, j in
    this matrix associates the sample i to cluster ires[i,j] in split i.
    In addition, the last column holds DLD scores for each split.}
  \item{data}{The matrix ISIS was run on, a matrix holding
    observations (samples) in columns and features (genes) in rows.}
  \item{score.weight}{Exponent to weight split scores handed on to
    \code{weightedHammingDist}}
  \item{horizontal}{passed on to bitmap}
  \item{main}{title of the image.}
}
\author{Claudio Lottaz}
\keyword{hplot}
