\name{runCDNAPreprocessing}
\alias{runCDNAPreprocessing}
\title{Preprocessing of a CDNA Dataset}
\description{
  This function processes a batch of xls-data files. It checks
  the directory-structure, runs normalization and summary-statistics, produces
  diagnostic plots, and performs a quality control.
}
\usage{
runCDNAPreprocessing(BASEPATH, COVDESC = paste(BASEPATH, "celfiles.lst", sep = "/"), EXPRSET = paste(BASEPATH, "expression_set.rdat", sep = "/"), TMPPATH = "/scratch/local", METHOD = "loess", CHIP = "NA", plot.preprocessing = TRUE)
}
\arguments{
  \item{BASEPATH}{The main path of the project.}
  \item{COVDESC}{Path of the celfiles.lst file (containing the list od datafiles) of the project.}
  \item{EXPRSET}{Path of the celfiles.lst file (containing the list od datafiles) of the project.}
  \item{TMPPATH}{In this path the raw dataset will be stored temporaly (an additional timestamp will be addet to the path).}
  \item{METHOD}{This string defines the used normalization method of th marray package ("loess", "median", "twoD"...(see maNorm()))}
  \item{CHIP}{The filename of the userdefined layout, if a non standart layout is used.}
  \item{plot.preprocessing}{Flags if plotting should be done or not.}
}
\details{
  The function reads a bunch of unzipped or gzipped data named in the celfiles.lst file. The data is normalized whith the defined method (e.g. loess),
  imputed to fill up undefined values, afterwars vsn is performed. Some box- and mva plots are done and the resulting expression set is saved.
}
\value{
  Logical value if preprocessing finished correctely
}
% \references{ ~put references to the literature/web site here ~ }
\author{Matthias Maneck}
\seealso{\code{\link[marray]{package for data imout and normalization}}, 
  \code{\link[affyPLM]{PLMset-class}},
  \code{\link[affy]{AffyBatch-class}}, \code{\link[simpleaffy]{qc}}}
\keyword{datagen}

