\name{runPreprocessing}
\alias{runPreprocessing}
\title{Pre-processing of an Affymetrix Dataset}
\description{
  This function preprocesses a batch of Affymetrix .CEL-files. I.e., it checks 
  the directory-structure, runs normalization and summary-statistics, produces 
  diagnostic plots, and performs an Affymetrix-like quality control.
}
\usage{
runPreprocessing(BASEPATH, COVDESC = paste(BASEPATH, "celfiles.lst", sep="/"), 
                 TMPPATH = "/scratch/local", 
                 EXPRSET = paste(BASEPATH, "expression_set.rdat", sep="/"), 
                 METHOD = "rma", plot.preprocessing = TRUE, run.simpleaffy = TRUE,
                 cleanup.plmsets = TRUE)
}
\arguments{
  \item{BASEPATH}{Project path}
  \item{COVDESC}{Path to text-file containing complete paths to Affymetrix .CEL-files, 
    names of samples and optional covariates}
  \item{TMPPATH}{Path to temporary directory for buffering
    \code{\link[affy]{AffyBatch-class}} with raw-data in
    it(default=/scratch/local/).}
  \item{EXPRSET}{where to write the expression set containing the
    preprocessed data and corresponding documentation.}
  \item{METHOD}{Method to be used for probeset summary ("rma" for
    medianpolish (default), other for affyPLM-method)}
  \item{plot.preprocessing}{Logical value if quality-plots should be prepared}
  \item{run.simpleaffy}{Logical value if Affymetrix
    MAS5-quality-assessment should be performed
    (\code{\link[simpleaffy]{qc}})}
  \item{cleanup.plmsets}{logical, TRUE if huge temporary data files are to be removed}
}
\details{
  Under preparation
}
\value{
  Logical value if preprocessing finished correctely  
}
\references{under preparation}
\author{Stefan Bentink}
\seealso{\code{\link[affyPLM]{PLMset-class}},
  \code{\link[affy]{AffyBatch-class}}, \code{\link[simpleaffy]{qc}}}
\keyword{datagen}


